using System.Collections.Generic;

namespace Baza_Reklam.Classes.Repositories
{
    public interface IRepository<T>
    {
        T Find(int id);
        List<T> FindAll();
        void Save(T entity);
        void Delete(T entity);
    }
}